Sign in

Update by Order Id

PATCH https://{organization}.myguper.com/api/order/{orderId}/csat

Updates the customer satisfaction (CSAT) score for an order, identified by internal orderId.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Path parameters

Name Type Description
orderId * string

Request body

Content-Type: json

{
    "csat": 5 // required integer
}

Responses

{
    "id": 3833678,
    "organization": "xpto",
    "interface": "generic",
    "refId": "id-97.897.466",
    "csat": 5
}
Copied to clipboard